package com.chinacreator.ecd.common;

public class BusinessException extends RuntimeException {

	private static final long serialVersionUID = -891645067431734237L;
	
	private String resultcode;
	
	private String errorinfo;

	
	public BusinessException(String resultcode, String errorinfo) {
		this.resultcode = resultcode;
		this.errorinfo = errorinfo;
	}


	public String getResultcode() {
		return resultcode;
	}


	public void setResultcode(String resultcode) {
		this.resultcode = resultcode;
	}


	public String getErrorinfo() {
		return errorinfo;
	}


	public void setErrorinfo(String errorinfo) {
		this.errorinfo = errorinfo;
	}


	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("{resultcode:").append(resultcode).append("}")
			.append(",errorinfo:").append(errorinfo).append("}");
		return sb.toString();
	}
	
	

}
