package com.chinacreator.ecd.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.chinacreator.ecd.common.entity.InterfaceUserEntity;

@Mapper
public interface InterfaceUserMapper {
	
	@Select("select username, password, realname, systemid, systemname, interfacename, allowip, duration, status, inserttime, updatetime from tb_interface_user "
			+ "where status = '0' and username = #{username} and interfacename = #{interfacename} ")
	List<InterfaceUserEntity> findByUsername(@Param("username") String username, @Param("interfacename") String interfacename);
	
}
